Loading...
Searching...
No Matches
CLI::detail::AppFriend Struct Reference

This class is simply to allow tests access to App's protected functions. More...

`#include <App.hpp>`

## Static Public Member Functions

template<typename... Args>
static auto | parse_arg (App *app, Args &&...args) -> typename std::result_of< decltype(&App::_parse_arg)(App, Args...)>::type
| Wrap _parse_short, perfectly forward arguments and return.
template<typename... Args>
static auto | parse_subcommand (App *app, Args &&...args) -> typename std::result_of< decltype(&App::_parse_subcommand)(App, Args...)>::type
| Wrap _parse_subcommand, perfectly forward arguments and return.
static App * | get_fallthrough_parent (App *app)
| Wrap the fallthrough parent function to make sure that is working correctly.

## Detailed Description

This class is simply to allow tests access to App's protected functions.

## Member Function Documentation

## get_fallthrough_parent()

App * CLI::detail::AppFriend::get_fallthrough_parent | ( | App * | app | ) |

inline static

Wrap the fallthrough parent function to make sure that is working correctly.

## parse_arg()

template<typename... Args>

auto CLI::detail::AppFriend::parse_arg | ( | App * | app,
|  | Args &&... | args )->typenamestd::result_of< decltype(&App::_parse_arg)(App, Args...)>::type

inline static

Wrap _parse_short, perfectly forward arguments and return.

## parse_subcommand()

template<typename... Args>

auto CLI::detail::AppFriend::parse_subcommand | ( | App * | app,
|  | Args &&... | args )->typenamestd::result_of< decltype(&App::_parse_subcommand)(App, Args...)>::type

inline static

Wrap _parse_subcommand, perfectly forward arguments and return.

The documentation for this struct was generated from the following file:

- include/CLI/App.hpp